> For the complete documentation index, see [llms.txt](https://docs.tokensfarm.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tokensfarm.com/for-developers/perpetualtokensfarmsdk/getters.md).

# Getters

Description of all getters

* `getAllPendingStakes`  - it is returning array of all stakes that are waiting to be finalised
* `deposited` - it is returning the deposited amount for specific stake
* `pending` - it is returning the amount that user earned for specific stake&#x20;
* `depositTimestamp` - returning timestamp when specific stake was deposited
* `totalPending` - how much was given rewards from beginning till now
* `getNumberOfUserStakes` - number of stakes for user
* `getUserStakesAndPendingAmounts` - it is returning all stakes and all pending amounts for all of the stakes for user

```solidity
* @return array of deposits,pendingAmounts,depositTime and warmupExpirations
```

* getTotalRewardsLockedUnlocked - it is returning rewards that are locked and unlocked
* getStatsForUser - it is returning all necessary info for user

```solidity
* @return totalStakedCurrently
* @return totalEarnedForLifeTime
* @return currentPendingAmount
* @return currentBalanceToWithdraw
```

## List of all getters with their signature

```solidity
function getAllPendingStakes()
function deposited(address _user,uint256 stakeId)
function pending(address _user,uint256 stakeId)
function depositTimestamp(address _user,uint256 stakeId)
function totalPending()
function getNumberOfUserStakes(address user)
function getUserStakesAndPendingAmounts(address user)
function getTotalRewardsLockedUnlocked()
function getStatsForUser(address _user)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tokensfarm.com/for-developers/perpetualtokensfarmsdk/getters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
